///
textures/ef_kingdom/cartwheel
{
      	qer_editorimage textures/ef_kingdom/cartwheel_128x128.tga
    	surfaceparm trans
	surfaceparm nonsolid
	cull none
      	nopicmip
	{
		map textures/ef_kingdom/cartwheel_128x128.tga
		tcMod scale 1 1
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ef_kingdom/drap_lion
{
	cull disable
	surfaceparm nolightmap
	surfaceparm alphashadow
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	sort banner
	{
		map textures/ef_kingdom/drap_lion.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphaFunc GE128
		rgbGen vertex
         	}
}

textures/ef_kingdom/drap_sanglier
{
	cull disable
	surfaceparm nolightmap
	surfaceparm alphashadow
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	sort banner
        	{
		map textures/ef_kingdom/drap_sanglier.tga
                 		blendfunc gl_src_alpha gl_one_minus_src_alpha
                		alphaFunc GE128
                		rgbGen vertex
	}
}

textures/ef_kingdom/draplionlong01
{ 
	surfaceparm alphashadow
	cull none  
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
      	sort banner
	{ 
   		map textures/ef_kingdom/draplionlong01.tga
   		alphaFunc GE128  
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   		depthwrite   
	} 
	{
		map $lightmap 
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen vertex
	}
}

textures/ef_kingdom/drapsanglierlong01
{ 
	surfaceparm alphashadow
	cull none  
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
      	sort banner
	{ 
   		map textures/ef_kingdom/drapsanglierlong01.tga
   		alphaFunc GE128  
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   		depthwrite   
	} 
	{
		map $lightmap 
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen vertex
	}
}

textures/ef_kingdom/grille01
{ 
	surfaceparm alphashadow
	cull none  
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
      	sort banner
	nopicmip 
	nomipmaps
	{ 	
		map textures/ef_kingdom/grille01.tga
   		alphaFunc GE128  
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   		depthwrite   
	} 
	{
		map $lightmap 
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen vertex
	}
}

textures/ef_kingdom/prot01
{
	cull disable
	surfaceparm nolightmap
	surfaceparm alphashadow
	{
		map textures/ef_kingdom/prot01.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/ef_kingdom/eaufontaine01
{
	qer_editorimage textures/ef_kingdom/eaufontaine01.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water	
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	{ 
			map textures/ef_kingdom/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/ef_kingdom/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/ef_kingdom/pool3d_3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	

}

textures/ef_kingdom/lierre02
{ 
	surfaceparm alphashadow
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks 
	nopicmip
	deformVertexes wave 50 sin 0 .3 0 .3
	{ 
   		map textures/ef_kingdom/lierre02.tga
 		rgbGen vertex
		depthWrite
		alphaFunc GE128
	} 
}

textures/ef_kingdom/lierre03
{ 
	surfaceparm alphashadow
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks 
	nopicmip
      	deformVertexes wave 50 sin 0 .3 0 .3
	{ 
   		map textures/ef_kingdom/lierre03.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128
	} 
}

textures/ef_kingdom/lierre04
{ 
	surfaceparm alphashadow
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks 
	nopicmip
      	deformVertexes wave 50 sin 0 .3 0 .3
	{ 
   		map textures/ef_kingdom/lierre04.tga
 		rgbGen vertex
		depthWrite
		alphaFunc GE128
	} 
}

textures/ef_kingdom/mont01
{     
	cull disable
	surfaceparm nolightmap
	surfaceparm alphashadow
	sort banner
        	{
		map textures/ef_kingdom/mont01.tga
                 		blendfunc gl_src_alpha gl_one_minus_src_alpha
                		alphaFunc GE128
                		rgbGen vertex
	}
}

textures/ef_kingdom/fs_rain2
{
	surfaceparm trans	
        	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/ef_kingdom/fs_rain2.tga
                		tcMod Scroll .3 2      //rain used to be going backwards (!!!)
                		blendFunc GL_ONE GL_ONE
        	}
}

textures/ef_kingdom/raidfeuilmorteaa01
{ 
	surfaceparm trans
	polygonOffset
	nomipmaps
	nopicmip
	{
		map textures/ef_kingdom/raidfeuilmorteaa01.tga
	   	blendfunc filter
	}
}

textures/ef_kingdom/raidfeuilmortebb03
{ 
	surfaceparm trans
	polygonOffset
	nomipmaps
	nopicmip
	{
		map textures/ef_kingdom/raidfeuilmortebb03.tga
	   	blendfunc filter
	}
}

textures/ef_kingdom/kingdomskyfix
{
	qer_editorimage textures/ef_kingdom/kingdomskyfix.jpg

	q3map_backsplash 0 0
	q3map_sunExt 248 232 190 450 130 55 3 16
	q3map_skylight 325 3
	q3map_lightRGB 248 232 190
	q3map_lightmapFilterRadius 0 64
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm nomarks

	nopicmip
	nomipmaps

	skyparms env/ef_kingdom/runycielcorio 512 -
	
}

models/mapobjects/ef_kingdom/tree2
{
	cull none
	nopicmip

	{
		map models/mapobjects/ef_kingdom/tree2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

//
textures/ef_kingdom/raidflameun
{

		
	qer_editorimage textures/ef_kingdom/raidfla01.jpg
	q3map_lightimage textures/ef_kingdom/raidfla01.jpg
      	surfaceparm trans
	surfaceparm nonsolid
      	surfaceparm nomarks
      	surfaceparm nolightmap
      	cull none
      	q3map_surfacelight 1800
	//deformVertexes wave 100 sin 2 5 0 1.1
	//deformVertexes wave 100 sin 5 5 0 1.1
	

	{
		animMap 10 textures/ef_kingdom/raidfla01.jpg textures/ef_kingdom/raidfla02.jpg textures/ef_kingdom/raidfla03.jpg textures/ef_kingdom/raidfla04.jpg textures/ef_kingdom/raidfla05.jpg textures/ef_kingdom/raidfla06.jpg textures/ef_kingdom/raidfla07.jpg textures/ef_kingdom/raidfla08.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/ef_kingdom/raidfla02.jpg textures/ef_kingdom/raidfla03.jpg textures/ef_kingdom/raidfla04.jpg textures/ef_kingdom/raidfla05.jpg textures/ef_kingdom/raidfla06.jpg textures/ef_kingdom/raidfla07.jpg textures/ef_kingdom/raidfla08.jpg textures/ef_kingdom/raidfla01.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	



      {

            map textures/ef_kingdom/raidflame.jpg
            blendFunc GL_ONE GL_ONE
            rgbGen wave sin .6 .2 0 .6

      }
}

//

textures/ef_kingdom/grass_urt2
{
	qer_editorimage textures/ef_kingdom/grass_urt2.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm alphashadow
	cull none  
	nopicmip 
	nomipmaps
	deformVertexes wave 3 sin 0 .3 0 .176

	{ 
   		
		map textures/ef_kingdom/grass_urt2.tga 
		alphaFunc GE128  
		depthwrite
 	}
	{
		map $lightmap 
		depthFunc equal
		blendfunc gl_dst_color gl_src_color
	}

}

textures/ef_kingdom/grass_urt4
{ 
	q3map_vertexscale 2.8
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none  
	nopicmip 
	deformVertexes wave 5 sin 0 .3 0 .3
	{
		map textures/ef_kingdom/grass_urt4.tga 
   		alphaFunc GE128  
		rgbGen vertex
 	}
}

textures/ef_kingdom/grass_urt5
{ 
	q3map_vertexscale 2.8
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none  
	nopicmip 
	deformVertexes wave 5 sin 0 .3 0 .3
	q3map_noshadow 48
	{
		map textures/ef_kingdom/grass_urt5.tga 
   		alphaFunc GE128  
		rgbGen vertex
 	}
}

textures/ef_kingdom/grass_urt9
{ 
	q3map_vertexscale 2.8
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none  
	nopicmip 
	deformVertexes wave 5 sin 0 .3 0 .3
	{
		map textures/ef_kingdom/grass_urt9.tga 
   		alphaFunc GE128  
		rgbGen vertex
 	}
}

textures/ef_kingdom/grass_urt10
{ 
	q3map_vertexscale 2.8
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none  
	nopicmip 
	deformVertexes wave 5 sin 0 .3 0 .3
	{
		map textures/ef_kingdom/grass_urt10.tga
   		alphaFunc GE128  
		rgbGen vertex
 	}
}
